import * as $dara from '@darabonba/typescript';
import { DescribeNetworkInterfacePermissionsResponseBody } from "./DescribeNetworkInterfacePermissionsResponseBody";
export declare class DescribeNetworkInterfacePermissionsResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeNetworkInterfacePermissionsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
